language: python
sudo: false
matrix:
  include:
  - os: linux
    env:
    - PY=2.7
  - os: linux
    env:
    - PY=3.6
  - os: osx
    language: generic
    env:
    - PY=2.7
  - os: osx
    language: generic
    env:
    - PY=3.5
branches:
  only:
  - master
addons:
  apt:
    packages: opencl-headers
before_install:
- echo $TRAVIS_OS_NAME
- if [[ "$TRAVIS_OS_NAME" == "linux" ]]; then wget https://repo.continuum.io/miniconda/Miniconda3-latest-Linux-x86_64.sh
  -O miniconda.sh; fi;
- if [[ "$TRAVIS_OS_NAME" == "osx" ]]; then wget https://repo.continuum.io/miniconda/Miniconda3-latest-MacOSX-x86_64.sh
  -O miniconda.sh; fi;
- bash miniconda.sh -b -p $HOME/miniconda
- export PATH="$HOME/miniconda/bin:$PATH"
- hash -r
- conda update --yes conda
- conda info -a
- conda install --yes python=$PY numpy scipy cython mako cffi
install:
- pip install bumps
- pip install unittest-xml-reporting
script:
- python --version
- python -m sasmodels.model_test -v dll all
before_deploy:
- echo -e "Host danse.chem.utk.edu\n\tStrictHostKeyChecking no\n" >> ~/.ssh/config
deploy:
    skip_cleanup: true
    provider: script
    script: /bin/sh -ex ./deploy.sh
    on:
        branch: master
notifications:
  slack:
    secure: xNAUeSu1/it/x9Q2CSg79aw1LLc7d6mLpcqSCTeKROp71RhkFf8VjJnJm/lEbKHNC8yj5H9UHrz5DmzwJzI+6oMt4NdEeS6WvGhwGY/wCt2IcJKxw0vj1DAU04qFMS041Khwclo6jIqm76DloinXvmvsS+K/nSyQkF7q4egSlwA=
